Subject: Re: bug#10758: thumbs and image-dired to use built-in ImageMagick

From: Stefan Kangas <[email-masked]>
Date: Wed, 3 Nov 2021 18:08:25 -0700

Stefan Kangas <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Mathias Dahl <[email-masked]> writes:
>>
>>> It seems I knew about `image-mode' but perhaps it never crossed my mind
>>> to inherit from it. 16 years later, my memory fails me...
>>>
>>> At any rate I have nothing against it, if someone wants to give it a try.
>
> See the attached patch.  Unsurprisingly, this makes `image-dired' feel
> quite a bit snappier, as we avoid a lot of unnecessary work.

No comments within a week, so I've now pushed to master as commit
73a6c8f98f with some further tweaks and a NEWS entry.

Please report here or open a new bug if you run into any issues.